GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_stream_parsing Struct Reference

`#include <internal.h>`

## Data Fields
gpr_uint32 | id
| HTTP2 stream id for this stream, or zero if one has not been assigned. More...
gpr_uint8 | received_close
| has this stream received a close More...
gpr_uint8 | saw_rst_stream
| saw a rst_stream More...
gpr_uint32 | incoming_window_delta
| incoming_window has been reduced by this much during parsing More...
gpr_uint32 | incoming_window
| window available for peer to send to us More...
grpc_chttp2_data_parser | data_parser
| parsing state for data frames More...
gpr_uint32 | rst_stream_reason
| reason give to rst_stream More...
gpr_uint64 | outgoing_window_update
grpc_chttp2_incoming_metadata_buffer | incoming_metadata
| incoming metadata More...

## Field Documentation

grpc_chttp2_data_parser grpc_chttp2_stream_parsing::data_parser

parsing state for data frames

gpr_uint32 grpc_chttp2_stream_parsing::id

HTTP2 stream id for this stream, or zero if one has not been assigned.

grpc_chttp2_incoming_metadata_buffer grpc_chttp2_stream_parsing::incoming_metadata

incoming metadata

gpr_uint32 grpc_chttp2_stream_parsing::incoming_window

window available for peer to send to us

gpr_uint32 grpc_chttp2_stream_parsing::incoming_window_delta

incoming_window has been reduced by this much during parsing

gpr_uint64 grpc_chttp2_stream_parsing::outgoing_window_update

gpr_uint8 grpc_chttp2_stream_parsing::received_close

has this stream received a close

gpr_uint32 grpc_chttp2_stream_parsing::rst_stream_reason

reason give to rst_stream

gpr_uint8 grpc_chttp2_stream_parsing::saw_rst_stream

saw a rst_stream

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/internal.h